> For the complete documentation index, see [llms.txt](https://developer.perculus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.perculus.com/services/session-management/session-delete.md).

# Deleting Sessions

{% hint style="danger" %}
**Important Note!**\
\
Constructor Groups’ V1 API has been retired and is no longer available to new customers. Please use the Groups V2 API going forward.\
\
Link to V2 API documentation: <https://developer.perculus.com/v2-en>
{% endhint %}

Below example shows the steps for deleting a session.

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location --request DELETE 'https://<DOMAIN>/xapi/session/<SESSION_ID>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--data ''
```

{% endtab %}

{% tab title="Python" %}

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()
...

# Delete session 
client.sessions.delete_by_session_id("<SESSION_ID>")
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
import APIClient from "perculus-sdk"

// API client
const client = new APIClient()
...

// Update session
client.sessions.deleteSession("<SESSION_ID>")
```

{% endtab %}

{% tab title="Go" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}
